#include <stdio.h>
#include "slog.h"

#define  MaxMPIargs  10

#define  MaxIrec     2

void main( int argc, char **argv )
{
    const char slog_name[] = "slogfile.data";
    SLOG_STREAM  *slog;
    SLOG_intvlrec_t irec;

    int ii, ierr;

    irec.args = ( SLOG_MPIarg_t * )
                malloc( MaxMPIargs * sizeof ( SLOG_MPIarg_t ) );

    printf( "Start appending records :\n" );

    slog = SLOG_OpenOutputStream_fn( slog_name );

    for ( ii = 0; ii < MaxIrec; ii++ ) {
        irec.irectype  = ( SLOG_irectype_t ) 101;
        irec.etype     = ( SLOG_etype_t ) 400;
        irec.starttime = ( SLOG_starttime_t ) ii*0.1;
        irec.duration  = ( SLOG_duration_t ) 0.1;
        irec.bebits[0] = ( SLOG_bebit_t ) 0;
        irec.bebits[1] = ( SLOG_bebit_t ) 0;
        irec.node_id   = ( SLOG_nodeID_t ) 0;
        irec.cpu_id    = ( SLOG_cpuID_t ) 0;
        irec.thread_id = ( SLOG_threadID_t ) 0;
        irec.where     = ( SLOG_where_t ) SLOG_fptr_NULL;
        irec.assoc     = ( SLOG_assoc_t ) SLOG_fptr_NULL;
        SLOG_AppendRecord( slog, irec.irectype, irec.etype,
                           irec.starttime, irec.duration, irec.bebits,
                           irec.node_id, irec.cpu_id, irec.thread_id,
                           irec.where, irec.assoc );
        printf( "count = %d\n", ii );
    }

    printf( "Finish appending records :\n" );

    SLOG_CloseOutputStream( slog );
}
